package com.example.ayudapy

import androidx.lifecycle.LiveData
import androidx.room.*
import androidx.room.OnConflictStrategy.REPLACE

@Dao
interface DaoPedido {

    @Query("SELECT * FROM pedido_save")
    fun getAll(): LiveData<List<PedidoSave>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(pedido: PedidoSave)

    @Delete
    fun delete(pedido: PedidoSave)
}
/*
* @Dao
interface studentDao{
    @Query("SELECT * FROM studentTbl")
    fun allStudents():List<Student>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(student:Student)
}*/

   /* @Query("UPDATE pedido_save SET name =:studentName, nim =:studentNim, gender =:studentGen WHERE id =:studentId")
    fun update(studentId: Long, studentName:String, studentNim:String, studentGen:String)*/

